Bug 145951 - Design flaw: disk formatting happens after user interactive phase is complete
Design flaw: disk formatting happens after user interactive phase is complete
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2005-01-24 06:40 EST by Graham Leggett
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-24 13:47:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2005-01-24 06:40:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US;
rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:

During the normal flow of operation for anaconda, the user is asked an
enormous list of questions, from disk partitioning, to network
settings, to root passwords, to firewall settings, etc.

Only after this list of questions has been asked and answered, does
anaconda actually try to perform actual operations like disk
formatting, etc.

In the primary use case, this is not a problem. However, as soon as an
error condition is present, anaconda bombs out with an unrecoverable
message (usually the only option given being the extremely unhelpful
and time wasting "reboot and start the entire process from scratch"

What anaconda should do instead is perform the action at hand as soon
as possible after the user has specified the information. For example,
directly after the partition tables are specified, the disk should be
formatted immediately. Errors will be reported immediately, the the
user can be given the option of pressing "back", possibly fixing the
error and trying again without wasting time.

Doing it this way will save the user from going through the lengthy
process of selecting packages, only to find their selection lost
entirely when an unrecoverable error occurs, and will vastly improve
the end user experience from the highly unpleasant experience it is now.

Version-Release number of selected component (if applicable):
Fedora Core 3 disk 1

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Jeremy Katz 2005-01-24 13:47:05 EST
Except that users also get data irrecoverably erased before the last

Destructive changes such as partitioning _must_ not be done until the
user has gone through all the steps and is certain that they want to
proceed to avoid realizing as you select packages that, eg, you need
to grab something from one of the partitions you're choosing to format.

You may see it as a flaw, but _many_ people see it as a positive.
Comment 2 Graham Leggett 2005-01-24 16:24:55 EST
The user specified the partitions to format. It is reasonable to pop
up a confirmation message saying "I am about to format these
partitions, are you sure" (as I recall it already does). When this
partition format happens makes no difference to the safety of the
data, it becomes a usability issue.

The fact that anaconda is a) so unreliable, and b) has no method
whatsoever of saving "state" information so that future attempts to
restart the install process are not met with the same 100 questions
over again means that the chances are very high the user is in for a
very frustrating experience.

I have been tasked in the past to fix a website that asked for 5 pages
of information, and then bombed out irretrievably on final submit if
an error occured on page 1. The website needed to be fixed because it
had virtually no end users, all of whom complained bitterly about the
time wasted between the cause of an error and the error message.
Redhat would do well to learn from this basic design mistake - our
next solution to the anaconda problem was to trash Fedora and install
Debian - not what a commercial company like Redhat wants to see happen
with it's products.
Comment 3 Peter Jones 2005-01-25 10:59:40 EST
Use kickstart.

Note You need to log in before you can comment on or make changes to this bug.